Summary: An op5 Monitor plugin to check Apica WPM services response time
Name: monitor-plugin-check_apica_responsetime
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 Software License
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: python

%define base_python_directory %{buildroot}%{prefix}

%if 0%{?suse_version}
# SLES-specific stuff
Requires: python-base
%else
# Common RHEL stuff
%if 0%{?rhel} >= 6
# RHEL6-specific stuff
%else
# RHEL5-specific stuff
%endif
%endif

%description
The plugin is supposed to be used to check the response time
and status of the services you have running at Apica. It will 
It is using the Apica WPM HTTP API.

%prep
%setup -q

%build
%if 0%{?sles_version}
mkdir -p %{buildroot}%{prefix}
cp check_apica_responsetime.py %{buildroot}%{prefix}
%{py_compile %base_python_directory}
%{py_compile -O %base_python_directory}
%endif

%install
mkdir -p %{buildroot}%{prefix}/tests
cp check_apica_responsetime.py %{buildroot}%{prefix}
ln -s check_apica_responsetime.py %{buildroot}%{prefix}/check_apica_responsetime

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{prefix}/
%dir %{prefix}/tests
%attr(755,root,root) %{prefix}/check_apica_responsetime
%attr(755,root,root) %{prefix}/check_apica_responsetime.py
%attr(644,root,root) %{prefix}/check_apica_responsetime.pyc
%attr(644,root,root) %{prefix}/check_apica_responsetime.pyo

%changelog
* Tue Jun 03 2014 Martin Kamijo <mk@op5.com>
Inital repository migration packaging
